diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index d8ae58c..4c13215 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -195,7 +195,7 @@
             },
             availVariables: self.availVariables,
             node: node, first_empty: false,
-            version_compitible: self.field.get('version_compitible'),
+            version_compatible: self.field.get('version_compatible'),
             transform: function(vars) {
               var self = this,
                   opts = self.field.get('availVariables');
@@ -226,7 +226,7 @@
         headerSchema.push({
           id: 'database', label:'', type: 'text', cache_level: 'server',
           control: Backform.NodeListByNameControl, node: 'database',
-          version_compitible: self.field.get('version_compitible')
+          version_compatible: self.field.get('version_compatible')
         });
         headerDefaults['database'] = null;
         gridCols.push('database');
@@ -236,7 +236,7 @@
         headerSchema.push({
           id: 'role', label:'', type: 'text', cache_level: 'server',
           control: Backform.NodeListByNameControl, node: 'role',
-          version_compitible: self.field.get('version_compitible')
+          version_compatible: self.field.get('version_compatible')
         });
         headerDefaults['role'] = null;
         gridCols.push('role');
@@ -278,7 +278,7 @@
           url = this.field.get('url'),
           m = self.model;
 
-      if (!this.field.get('version_compitible'))
+      if (!this.field.get('version_compatible'))
         return;
 
       if (url && !m.isNew()) {
diff --git a/web/pgadmin/browser/static/js/node.ui.js b/web/pgadmin/browser/static/js/node.ui.js
index cd562af..59c0f31 100644
--- a/web/pgadmin/browser/static/js/node.ui.js
+++ b/web/pgadmin/browser/static/js/node.ui.js
@@ -93,7 +93,7 @@ function($, _, pgAdmin, Backbone, Backform, Alertify, Node) {
          */
         var data = cache_node.cache(url, node_info, cache_level);
 
-        if (this.field.get('version_compitible') &&
+        if (this.field.get('version_compatible') &&
             (_.isUndefined(data) || _.isNull(data))) {
           m.trigger('pgadmin:view:fetching', m, self.field);
           $.ajax({
@@ -350,7 +350,7 @@ function($, _, pgAdmin, Backbone, Backform, Alertify, Node) {
          */
         var data = cache_node.cache(url, node_info, cache_level);
 
-        if (this.column.get('version_compitible') &&
+        if (this.column.get('version_compatible') &&
             (_.isUndefined(data) || _.isNull(data))) {
           m.trigger('pgadmin:view:fetching', m, self.column);
           $.ajax({
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index d1c8b15..8ffaecb 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -694,7 +694,7 @@
           self.model.set(self.field.get('name'), collection, {silent: true});
         }
 
-        if (this.field.get('version_compitible')) {
+        if (this.field.get('version_compatible')) {
           self.listenTo(collection, "add", self.collectionChanged);
           self.listenTo(collection, "change", self.collectionChanged);
         }
@@ -702,7 +702,7 @@
     remove: function() {
       var self = this;
 
-      if (this.field.get('version_compitible')) {
+      if (this.field.get('version_compatible')) {
         self.stopListening(self.collection, "add", self.collectionChanged);
         self.stopListening(self.collection, "change", self.collectionChanged);
       }
@@ -799,12 +799,12 @@
 
       // Evaluate the disabled, visible, required, canAdd, & canDelete option
       _.extend(data, {
-        disabled: (field.version_compitible &&
+        disabled: (field.version_compatible &&
                    evalF.apply(this.field, [data.disabled, this.model])
                    ),
         visible:  evalF.apply(this.field, [data.visible, this.model]),
         required: evalF.apply(this.field, [data.required, this.model]),
-        canAdd: (field.version_compitible &&
+        canAdd: (field.version_compatible &&
           evalF.apply(this.field, [data.canAdd, this.model])
           ),
         canDelete: evalF.apply(this.field, [data.canDelete, this.model])
@@ -1327,7 +1327,7 @@
             visible: evalASFunc(s.visible),
             node: node,
             node_data: treeData,
-            version_compitible: ver_in_limit
+            version_compatible: ver_in_limit
           });
           delete o.id;
 
